Don’t Update to macOS Catalina Yet if You Use Photoshop or Lightroom


If you’re a Mac user who regularly uses Adobe Photoshop or Lightroom Classic CC, we don’t recommend updating your computer to macOS Catalina just yet. Even though the new operating system has been in beta for months, updating your Mac today will lead to a few annoying issues that you might want to wait for Adobe to iron out.

Apple officially released macOS Catalina yesterday, and neither Adobe Lightroom Classic nor Adobe Photoshop CC were fully prepared to handle the new operating system as of this writing. According to Adobe’s macOS compatibility pages for both Photoshop and Lightroom, the latest version of these apps “work with macOS 10.15 (Catalina) but have … known compatibility issues.”

For Lightroom, there are only two relatively minor issues:

  • Tethering Issues with Nikon: Lightroom is not able to detect Nikon cameras when the camera is turned ON after invoking the “Start Tether Capture…” command.
  • Lens Profile Creator is Broken: The Lens Profile Creator is currently 32-bit, but we are investigating updating it to be a 64-bit utility.

In Photoshop, the story is a bit worse:

  • File Naming Doesn’t Work Right: Changing the file extension in the drop down doesn’t change the extension in the file name. You need to add the file type into the file name manually
  • Some Plug-Ins are Broken: Plug-ins that are quarantined will return a Photoshop error that “the file was not found” or an OS error that says that the plug-in “can’t be opened because its integrity cannot be verified. This happens with plug-ins that are not notarized that are downloaded from the web or installed by other methods such as drag & drop.
  • Older Droplets Don’t Work: Older versions of Photoshop create 32-bit droplets, which are not compatible with macOS Catalina.
  • ExtendScript Toolkit is Broken: The ExtendScript Toolkit, which is a 32-bit application, will no longer work on macOS 10.15. It’s being replaced by this tool.
  • Lens Profile Creator is Broken: The Lens Profile Creator is currently 32-bit, but we are investigating updating it to be a 64-bit utility.

If you’re a power user, Adobe says “You may want to remain on your current version of macOS until these issues have been resolved,” and “strongly recommends that customers do their own testing on a non-production partition to ensure that new operating systems work with their current hardware and drivers (printing, and so forth).”

Any creative professional will tell you that it’s not a good idea to update to the latest version of any operating system the day it comes out. Even with ample time to prepare, major software companies are rarely ready with a full compatibility update on the day a new version is released, and that’s certainly true of both Photoshop and Lightroom Classic in macOS Catalina.

To read up on the compatibility issues, head over to the macOS compatibility support pages for Photoshop and Lightroom.



Source link

Please follow and like us: